// 环境变量配置
export const ENV_CONFIG = {
  // 开发环境
  development: {
    API_BASE_URL: 'https://cms-api.websoft.top/api',
    // API_BASE_URL: 'http://127.0.0.1:9200/api',
    APP_NAME: '开发环境',
    DEBUG: 'true',
  },
  // 生产环境
  production: {
    API_BASE_URL: 'https://cms-api.websoft.top/api',
    // API_BASE_URL: 'http://127.0.0.1:9200/api',
    APP_NAME: '南南佐顿门窗',
    DEBUG: 'false',
  },
  // 测试环境
  test: {
    API_BASE_URL: 'https://cms-api.websoft.top/api',
    // API_BASE_URL: 'http://127.0.0.1:9200/api',
    APP_NAME: '测试环境',
    DEBUG: 'true',
  }
}

// 获取当前环境配置
export function getEnvConfig() {
  const env = process.env.NODE_ENV || 'development'
  if (env === 'production') {
    return ENV_CONFIG.production
  } else { // @ts-ignore
    if (env === 'test') {
        return ENV_CONFIG.test
      } else {
        return ENV_CONFIG.development
      }
  }
}

// 导出环境变量
export const {
  API_BASE_URL,
  APP_NAME,
  DEBUG
} = getEnvConfig()
